"""
edge detection
===================
An example showing a process that uses prewitt filter to detect edges of an image.
Code modified from examples found at:
http://www.scipy-lectures.org/advanced/image_processing/
"""

import scipy.misc as misc
from scipy import ndimage
import matplotlib.pyplot as plt

# Using standard raccoon image from the module
#face = misc.face(gray=True)

face = misc.imread('blackhole.jpg')

# key step: using prewitt filter
local_mean = ndimage.prewitt(face)

plt.figure(figsize=(9, 3))

plt.subplot(121)
plt.imshow(face, cmap=plt.cm.gray)
plt.axis('off')

plt.subplot(122)
plt.imshow(local_mean, cmap=plt.cm.gray)
plt.axis('off')

plt.subplots_adjust(wspace=0, hspace=0., top=0.99, bottom=0.01,
                    left=0.01, right=0.99)

plt.show()
